POWER(4)

NAME
power - power button

SYNOPSIS
power* at ebus?

DESCRIPTION
Some UltraSPARC host bridges provide an interrupt when the power button is depressed. The power driver catches that interrupt. If the hw.allowpowerdown sysctl(8) is set to 1, power will signal init(8) to do a clean shutdown.

SEE ALSO
ebus(4), intro(4), init(8), rc.shutdown(8), sysctl(8)

HISTORY
The power driver was first supported in OpenBSD 4.0.

AUTHORS
The driver was written by Jason Wright <jason@thought.net>.